GlueGen: com.jogamp.gluegen.structgen.CStructAnnotationProcessor Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | List of all members
com.jogamp.gluegen.structgen.CStructAnnotationProcessor Class Reference
Inheritance diagram for com.jogamp.gluegen.structgen.CStructAnnotationProcessor:
Collaboration diagram for com.jogamp.gluegen.structgen.CStructAnnotationProcessor:

## Classes

class | AnnotationProcessorJavaStructEmitter

## Public Member Functions

void | init (final ProcessingEnvironment processingEnv)
boolean | process (final Set<? extends TypeElement > annotations, final RoundEnvironment env)

## Detailed Description

If the header file is absolute, the root path is the parent folder of the folder containing the package source, i.e.:

     Header: /gluegen/src/junit/com/jogamp/test/structgen/TestStruct01.h
     Root:   /gluegen/src/junit/..
     Root:   /gluegen/src

Otherwise the user.dir is being used as the root path and the relative header file is appended to it.

The property `jogamp.gluegen.structgen.output` allows setting a default outputPath for the generated sources, if the `ProcessingEnvironment`'s `structgen.output` option is not set.

If the outputPath is relative, it is appended to the root path, otherwise it is taken as-is.

User can enable DEBUG while defining property `jogamp.gluegen.structgen.debug`.

Author
  Michael Bien, et al.

Definition at line 91 of file CStructAnnotationProcessor.java.

## Member Function Documentation

## ◆ init()

void com.jogamp.gluegen.structgen.CStructAnnotationProcessor.init | ( | final ProcessingEnvironment | processingEnv | ) |

Definition at line 115 of file CStructAnnotationProcessor.java.

## ◆ process()

boolean com.jogamp.gluegen.structgen.CStructAnnotationProcessor.process | ( | final Set<? extends TypeElement > | annotations,
|  | final RoundEnvironment | env
| ) |  |

Definition at line 151 of file CStructAnnotationProcessor.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/structgen/CStructAnnotationProcessor.java